Piloterr

LinkedIn Job Info

Dive into LinkedIn job data and trends for in-depth labor market insights.

Credit cost: 1 credit per call

GET
/v2/linkedin/job/info

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

The LinkedIn job posting to retrieve. Accepts a numeric job ID or a full job posting URL.

Accepted formats:

  • 4390885746 — LinkedIn numeric job ID
  • https://www.linkedin.com/jobs/view/4390885746 — full job URL

Example:

https://www.linkedin.com/jobs/view/4390885746

Notes:

  • Expired listings: Jobs that have been closed or removed will return a not-found error.
  • Private jobs: Some employer-direct postings may be restricted.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/linkedin/job/info?query=string"
{
  "id": 3795872581,
  "title": "Customer Success Manager",
  "address": {
    "city": "City of New York",
    "state": "New York",
    "county": null,
    "country": "United States",
    "country_code": "US"
  },
  "job_url": "https://www.linkedin.com/jobs/view/3795872581",
  "industry": [
    "advertising-services",
    "technology",
    "information-and-internet"
  ],
  "location": "New York, NY",
  "functions": [
    "Customer Service"
  ],
  "list_date": "4 days ago",
  "recruiter": {
    "full_name": "Anais",
    "headline": "Talent Acquisition at Rokt",
    "profile_url": "https://www.linkedin.com/in/x"
  },
  "company_url": "https://www.linkedin.com/company/rokt",
  "company_logo": "https://media.licdn.com/dms/image/D4E0BAQE7AmEYtqhs9g/company-logo_100_100/0/1706546290679/rokt_logo",
  "company_name": "Rokt",
  "employment_type": "Full-time",
  "job_description": "Unlock your inner voice. Join a team of diverse individuals who thrive by conquering new frontiers...",
  "seniority_level": "Mid-Senior level",
  "total_applicants": 200,
  "compensation_salary": "$90,000.00/yr - $110,000.00/yr"
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}